Package: libjnlp-servlet-java,jardiff
Version: libjnlp-servlet-java/20120126-1
Version: jardiff/0.2-3
Severity: serious
User: trei...@debian.org
Usertags: edos-file-overwrite

Date: 2013-09-17
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  libkeyutils1 libkrb5support0 libk5crypto3 libkrb5-3 libgssapi-krb5-2
  libavahi-common-data libavahi-common3 libdbus-1-3 libavahi-client3 libcups2
  libexpat1 libffi6 libfreetype6 ucf fonts-dejavu-core ttf-dejavu-core
  fontconfig-config libfontconfig1 libglib2.0-0 libjpeg8 liblcms2-2 libnspr4
  libnss3 libpcsclite1 openjdk-7-jre-lib openssl ca-certificates java-common
  default-jre-headless ca-certificates-java tzdata-java openjdk-7-jre-headless
  unzip java-wrappers libapache-pom-java libasm3-java libcommons-parent-java
  libcommons-lang-java libcommons-cli-java libservlet2.5-java
  libjnlp-servlet-java jardiff

Extracting templates from packages: 71%
Extracting templates from packages: 100%
Preconfiguring packages ...
Authentication warning overridden.
Selecting previously unselected package libkeyutils1:amd64.
(Reading database ... 10882 files and directories currently installed.)
Unpacking libkeyutils1:amd64 (from .../libkeyutils1_1.5.6-1_amd64.deb) ...
Selecting previously unselected package libkrb5support0:amd64.
Unpacking libkrb5support0:amd64 (from 
.../libkrb5support0_1.11.3+dfsg-3_amd64.deb) ...
Selecting previously unselected package libk5crypto3:amd64.
Unpacking libk5crypto3:amd64 (from .../libk5crypto3_1.11.3+dfsg-3_amd64.deb) ...
Selecting previously unselected package libkrb5-3:amd64.
Unpacking libkrb5-3:amd64 (from .../libkrb5-3_1.11.3+dfsg-3_amd64.deb) ...
Selecting previously unselected package libgssapi-krb5-2:amd64.
Unpacking libgssapi-krb5-2:amd64 (from 
.../libgssapi-krb5-2_1.11.3+dfsg-3_amd64.deb) ...
Selecting previously unselected package libavahi-common-data:amd64.
Unpacking libavahi-common-data:amd64 (from 
.../libavahi-common-data_0.6.31-2_amd64.deb) ...
Selecting previously unselected package libavahi-common3:amd64.
Unpacking libavahi-common3:amd64 (from .../libavahi-common3_0.6.31-2_amd64.deb) 
...
Selecting previously unselected package libdbus-1-3:amd64.
Unpacking libdbus-1-3:amd64 (from .../libdbus-1-3_1.6.14-1_amd64.deb) ...
Selecting previously unselected package libavahi-client3:amd64.
Unpacking libavahi-client3:amd64 (from .../libavahi-client3_0.6.31-2_amd64.deb) 
...
Selecting previously unselected package libcups2:amd64.
Unpacking libcups2:amd64 (from .../libcups2_1.6.3-1_amd64.deb) ...
Selecting previously unselected package libexpat1:amd64.
Unpacking libexpat1:amd64 (from .../libexpat1_2.1.0-4_amd64.deb) ...
Selecting previously unselected package libffi6:amd64.
Unpacking libffi6:amd64 (from .../libffi6_3.0.13-4_amd64.deb) ...
Selecting previously unselected package libfreetype6:amd64.
Unpacking libfreetype6:amd64 (from .../libfreetype6_2.4.9-1.1_amd64.deb) ...
Selecting previously unselected package ucf.
Unpacking ucf (from .../ucf_3.0027+nmu1_all.deb) ...
Moving old data out of the way
Selecting previously unselected package fonts-dejavu-core.
Unpacking fonts-dejavu-core (from .../fonts-dejavu-core_2.33+svn2514-3_all.deb) 
...
Selecting previously unselected package ttf-dejavu-core.
Unpacking ttf-dejavu-core (from .../ttf-dejavu-core_2.33+svn2514-3_all.deb) ...
Selecting previously unselected package fontconfig-config.
Unpacking fontconfig-config (from .../fontconfig-config_2.10.2-2_all.deb) ...
Selecting previously unselected package libfontconfig1:amd64.
Unpacking libfontconfig1:amd64 (from .../libfontconfig1_2.10.2-2_amd64.deb) ...
Selecting previously unselected package libglib2.0-0:amd64.
Unpacking libglib2.0-0:amd64 (from .../libglib2.0-0_2.36.4-1_amd64.deb) ...
Selecting previously unselected package libjpeg8:amd64.
Unpacking libjpeg8:amd64 (from .../libjpeg8_8d-1_amd64.deb) ...
Selecting previously unselected package liblcms2-2:amd64.
Unpacking liblcms2-2:amd64 (from .../liblcms2-2_2.2+git20110628-2.2_amd64.deb) 
...
Selecting previously unselected package libnspr4:amd64.
Unpacking libnspr4:amd64 (from .../libnspr4_2%3a4.10-1_amd64.deb) ...
Selecting previously unselected package libnss3:amd64.
Unpacking libnss3:amd64 (from .../libnss3_2%3a3.15.1-1_amd64.deb) ...
Selecting previously unselected package libpcsclite1:amd64.
Unpacking libpcsclite1:amd64 (from .../libpcsclite1_1.8.8-4+b1_amd64.deb) ...
Selecting previously unselected package openjdk-7-jre-lib.
Unpacking openjdk-7-jre-lib (from .../openjdk-7-jre-lib_7u25-2.3.12-4_all.deb) 
...
Selecting previously unselected package openssl.
Unpacking openssl (from .../openssl_1.0.1e-3_amd64.deb) ...
Selecting previously unselected package ca-certificates.
Unpacking ca-certificates (from .../ca-certificates_20130906_all.deb) ...
Selecting previously unselected package java-common.
Unpacking java-common (from .../java-common_0.49_all.deb) ...
Selecting previously unselected package default-jre-headless.
Unpacking default-jre-headless (from 
.../default-jre-headless_1%3a1.7-49_amd64.deb) ...
Selecting previously unselected package ca-certificates-java.
Unpacking ca-certificates-java (from .../ca-certificates-java_20130815_all.deb) 
...
Selecting previously unselected package tzdata-java.
Unpacking tzdata-java (from .../tzdata-java_2013d-1_all.deb) ...
Selecting previously unselected package openjdk-7-jre-headless:amd64.
Unpacking openjdk-7-jre-headless:amd64 (from 
.../openjdk-7-jre-headless_7u25-2.3.12-4_amd64.deb) ...
Selecting previously unselected package unzip.
Unpacking unzip (from .../archives/unzip_6.0-9_amd64.deb) ...
Selecting previously unselected package java-wrappers.
Unpacking java-wrappers (from .../java-wrappers_0.1.26_all.deb) ...
Selecting previously unselected package libapache-pom-java.
Unpacking libapache-pom-java (from .../libapache-pom-java_10-2_all.deb) ...
Selecting previously unselected package libasm3-java.
Unpacking libasm3-java (from .../libasm3-java_3.3.2-2_all.deb) ...
Selecting previously unselected package libcommons-parent-java.
Unpacking libcommons-parent-java (from .../libcommons-parent-java_22-2_all.deb) 
...
Selecting previously unselected package libcommons-lang-java.
Unpacking libcommons-lang-java (from .../libcommons-lang-java_2.6-3_all.deb) ...
Selecting previously unselected package libcommons-cli-java.
Unpacking libcommons-cli-java (from .../libcommons-cli-java_1.2-3_all.deb) ...
Selecting previously unselected package libservlet2.5-java.
Unpacking libservlet2.5-java (from .../libservlet2.5-java_6.0.37-1_all.deb) ...
Selecting previously unselected package libjnlp-servlet-java.
Unpacking libjnlp-servlet-java (from 
.../libjnlp-servlet-java_20120126-1_all.deb) ...
Selecting previously unselected package jardiff.
Unpacking jardiff (from .../archives/jardiff_0.2-3_all.deb) ...
dpkg: error processing /var/cache/apt/archives/jardiff_0.2-3_all.deb (--unpack):
 trying to overwrite '/usr/share/java/jardiff.jar', which is also in package 
libjnlp-servlet-java 20120126-1
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/jardiff_0.2-3_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violates
sections 7.6.1 and 10.1 of the policy. An optimal solution would
consist in only one of the packages installing that file, and renaming
or removing the file in the other package. Depending on the
circumstances you might also consider Replace relations or file
diversions. If the conflicting situation cannot be resolved then, as a
last resort, the two packages have to declare a mutual
Conflict. Please take into account that Replaces, Conflicts and
diversions should only be used when packages provide different
implementations for the same functionality.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):

  /usr/share/java/jardiff.jar

This bug has been filed against both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package. You may then
also register in the BTS that the other package is affected by the bug.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.

__
This is the maintainer address of Debian's Java team
<http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-java-maintainers>. 
Please use
debian-j...@lists.debian.org for discussions and questions.

Reply via email to